<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->enum('role', ['1','2','3'])->comment('1: Admin, 2: Owner, 3: Maid');
            $table->string('name');
            $table->string('username');
            $table->string('email')->unique();
            $table->timestamp('token')->nullable();
            $table->string('password');
            $table->enum('status', ['1', '2'])->comment('1: Data Belum Lengkap, 2: Data Lengkap');
            $table->rememberToken();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('users');
    }
};
